
 clear

 % Test calculation of moist available potential energy for an artifical mean state that varies with latitude and pressure.

 p = [1000:-50:100]*100; % pressure in Pa
 lat = [0:5:90]; % latitude in degrees
 rhum = ones(length(p), length(lat))*0.7; % relative humidity

 for k=1:length(p)
  for j=1:length(lat)
   temp(k,j) = 300-(1e5-p(k))/1e5*70 - lat(j)/90*40; % temperature in K
  end
 end

 do_dry = 0; % include moisture?
 do_nonconvective = 0; % allow convection?

 moist_mape_ipcc(p, lat, temp, rhum, ones(length(lat))*1e5, 0, 90, do_dry, do_nonconvective)

 
